<%--
  - Author(s)  : Kim Myung Ho
  - Date       : 2014.07.15
  - Description: 계약작성 현황 리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    
    //계약 상태 List
    RowSet statusRow = CommCodeManager.getCodeRowsetStatic("CONT_STATUS_CD", "CHG_CODE01", "2");    
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		
		/**
		 *	Application Initialize
		 */
		$("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/cont/outside/ContIngList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		$("#p_dept_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);	if(keycode == 8){$("#p_dept_cd").val("");$("#p_dept_nm").val("");}});
		$("#p_cont_status").change(function(){$("#btnSearch").click();});
		$("#p_build_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#p_dealer_nm").keydown(function (event){var keycode = (event.keyCode ? event.keyCode : event.which);if(keycode == 13)$("#btnSearch").click();});
		$("#btnSearch").click();
		$("#dataClear").click(function(){$("#ContFromDt").val("");$("#ContToDt").val("");});
		jQuery("#btnExcel").click(function() {
			if(sheet1.RowCount() == 0) {
				alert("내역이 없습니다.");
				return;
			}
			var params = { FileName : "ContIngList.xls",  SheetName : "ContIngList", SheetDesign:0, Merge:1, DownCols:"SUB_CONT_MOD_ID|DEPT_NAME|CON_DOC_NO|MOD_NO|BUILD_NAME|CON_SUPPLY_AMT|CON_CUR_CD|MEMBER_NAME"+
					"|CON_DATE|WORK_START_END_DATE|TEMPLATE_NAME|STATUS_CD_NM", TitleText:"외주_계약현황", UserMerge:"0,0,1,12", AutoSizeColumn:1  } ;
			sheet1.Down2Excel(params);
		});
		
		autoResize();
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:100};
		init_sheet.Cols = [
		       			{Header:'Del',				Type:"DelCheck",		SaveName:"DEL_CHECK", 			Width:50, 		Align:"Center",		Hidden:"True"},
		    			{Header:'Status',			Type:"Status", 			SaveName:"STATUS", 				Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'계약번호',				Type:"Text", 			SaveName:"SUB_CONT_MOD_ID", 	Width:0, 		Align:"Center",		Hidden:"True"},
		    			{Header:'현장명',				Type:"Text", 			SaveName:"DEPT_NAME", 			Width:200, 		Align:"Left" , 		Edit:"false"},
		    			{Header:'계약번호',				Type:"Text", 			SaveName:"CON_DOC_NO",			Width:120, 		Align:"Left", 	Edit:"false"},
		    			{Header:'변경차수',				Type:"Text", 			SaveName:"MOD_NO", 				Width:50,		Align:"Center" , 		Edit:"false"},
		    			{Header:'☞계약명',				Type:"Text", 			SaveName:"BUILD_NAME", 			Width:200, 		Align:"Left" , 		Edit:"false",	Cursor:"pointer"},
		    			{Header:'계약금액(VAT별도)',		Type:"Text", 			SaveName:"CON_SUPPLY_AMT", 		Width:80, 		Align:"right",		Edit:"false"},
		    			{Header:'통화구분',				Type:"Text", 			SaveName:"CON_CUR_CD", 			Width:50, 		Align:"Center" , 		Edit:"false"},
		    			{Header:'업체명',				Type:"Text", 			SaveName:"MEMBER_NAME", 		Width:100, 		Align:"Left" , 		Edit:"false"},
		    			{Header:'계약일자',				Type:"Text", 			SaveName:"CON_DATE", 			Width:80, 		Align:"Center" , 	Edit:"false"},
		    			{Header:'계약기간',				Type:"Text", 			SaveName:"WORK_START_END_DATE", Width:80, 		Align:"Center", 	Edit:"false"},
		    			{Header:'전자계약\n여부',			Type:"Combo", 			SaveName:"ELEC_CON_YN", 		Width:60,  	Align:"Center", 		Edit:"false", ComboText:"온라인|오프라인" , ComboCode:"Y|N"},
		    			{Header:'계약서종류',			Type:"Text", 			SaveName:"TEMPLATE_NAME", 		Width:100,  	Align:"Left", 		Edit:"false",	Cursor:"pointer"},
		    			{Header:'상태',				Type:"Text", 			SaveName:"STATUS_CD_NM", 		Width:80, 		Align:"center", 	Edit:"false"},
		    			{Header:'계약서코드',			Type:"Text", 			SaveName:"TEMPLATE_CD", 		Width:80, 		Align:"Center",		Hidden:"True"},
		    			{Header:'계약서변경여부',			Type:"Text", 			SaveName:"CHG_CONT_YN", 		Width:80, 		Align:"Center",		Hidden:"True"},
		    			
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}
	/*
	IBSheet Event : Mouse Right Menu
	*/
	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	 jQuery("#btnExcel").click();
	            break; 
		}
	}	
	
	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BUILD_NAME", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 if ((sheet1.ColSaveName(Col) == "TEMPLATE_NAME") || (sheet1.ColSaveName(Col) == "BUILD_NAME")) {
				var status = sheet1.GetCellValue(Row,8);
				$("#SUB_CONT_MOD_ID").val(sheet1.GetCellValue(Row, "SUB_CONT_MOD_ID"));
				$("#TEMPLATE_CD").val(sheet1.GetCellValue(Row, "TEMPLATE_CD"));
				$("#ChgCont").val(sheet1.GetCellValue(Row, "CHG_CONT_YN"));
				$("#fevent").val("FORM_SELECT");
				$("#form1").attr("action", "/cont/outside/ContDetail.screen");

				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "get");
				$("#form1").submit();
			}
	 }

	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {sheet1.FitColWidth();}
	

	//자동로그인 기능
	function f_gologin(login_id,login_pw){
		var f = document.form1;
		if('<%= user.get("ACCT_TYPE_CODE")%>' != "ADMIN"){
			dlgAlert("User who logged in as administrator only can do automatic log-in.");
			return;
		}
	
		f.login_id.value = login_id;
		f.login_pw.value = login_pw;
	
		if( !submitXmlRequest("/sign_on_check", "", document.form1) ) {
			alert("Log-in is being processed.");
		};
		
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		sheet1.SetSheetHeight(iframeHeight); 
	}	
	document.body.onresize = addEvent( document.body.onresize, "autoResize()");
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="SUB_CONT_MOD_ID" value="">
<INPUT type="hidden" name="TEMPLATE_CD" value="">
<INPUT type='hidden' name="ChgCont">
<INPUT type='hidden' name="acct_id" value="<%= params.get("acct_id") %>">

<div align="left" id="title">
	<ul>
		<li>외주_계약현황</li>
	</ul>
</div> 

<!-- 검색조건 시작 -->
<table id="search-table" class="search-form-table">
	<colgroup>
		<col width="100" />
		<col width="*" />
		<col width="100" />
		<col width="*" />
		<col width="100" />
		<col width="*" />
		<col width="100" />
	</colgroup>
  <tr height="25"> 
  	<th>현장</th>
   	<td>
   		<%=InputText.getSiteCodeNew("p_dept_cd", "p_dept_nm", "", user, params.get("p_dept_cd"), params.get("p_dept_nm"))%>
	</td>
  	<th>계약명</th>
   	<td colspan="3">
   		<INPUT type="text" name="p_build_nm" class="input" value="<%= params.get("p_build_nm") %>" style="width:90%"> 
	</td>
	<td class="button" rowspan="2">
		<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
		<span class="btnSearch center" id="btnExcel"><a href="javascript:void(0);">엑셀</a></span>
	</td>	
  </tr>
  <tr> 
    <th>업체명</th>
    <td> 
       <INPUT type="text" name="p_dealer_nm" class="input" value="<%= params.get("p_dealer_nm") %>" style="width:90%"> 
    </td>
    <th>계약기간</th>
    <td> 
		<%= InputText.get("ContFromDt", params.get("ContFromDt"), 10, 50, "hangule,center, desc=계약일자,ReadOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('ContFromDt');">
					~
		<%= InputText.get("ContToDt", params.get("ContToDt"), 10, 50, "hangule,center, desc=계약일자,ReadOnly") %>
		<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('ContToDt');">
		<IMG name="dataClear" id="dataClear" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
    </td>
    <th>상태</th>
    <td>
    	<%= HTMLMaker.getSelectTag(statusRow, "DETAILCD", "DETAILNM", "p_cont_status", "width:150px;height=18;", "<option value='10,15,16,18,19,20,30,40,41'>전체</option>", params.get("p_cont_status")) %> 
    </td>
  </tr>
</table>
</form>


<div id="sheet1_div" style="padding-top:5px; height: auto; min-height: 400px; overflow: auto;">
	<script>createIBSheet('sheet1','100%', '400px');</script>
</div>